@ECHO OFF

REM ### Environment
SET MAKE_MODE=UNIX
SET CYGWIN="binmode tty ntsec"

REM ### HOME
SET HOMEDRIVE=%SYSTEMDRIVE%
if "%HOMEDRIVE%" == "" SET HOMEDRIVE=C:
SET CYGroot=%HOMEDRIVE%
if exist %HOMEDRIVE%\cygwin\usr\home set CYGroot=%HOMEDRIVE%\cygwin
SET HOME=%CYGroot%\usr\home\hirose

REM ### PATH
SET PATH=%HOMEDRIVE%\cygwin\bin
SET PATH=%HOMEDRIVE%\Perl\bin;%HOMEDRIVE%\Tcl\bin;%HOMEDRIVE%\jdk\bin;%PATH%
SET PATH=%HOMEDRIVE%\namazu\bin;%HOMEDRIVE%\kakasi\bin;%HOMEDRIVE%\nkf\bin;%HOMEDRIVE%\Chasen;%PATH%

REM ### GCC
set GCC_EXEC_PREFIX=/usr/lib/gcc-lib/
set LIBRARY_PATH=/usr/local/lib:/usr/lib:/usr/X11R6/lib
set C_INCLUDE_PATH=/usr/local/include:/usr/include:/usr/X11R6/include
set OBJC_INCLUDE_PATH=/usr/local/include:/usr/include:/usr/X11R6/include
set CPLUS_INCLUDE_PATH=%C_INCLUDE_PATH%
set LD_LIBRARY_PATH=%LIBRARY_PATH%

REM ### SHELL
rem %HOMEDRIVE%\cygwin\bin\bash --login -i
bash
