REM
REM replace \mingw32 with whatever your installation root may be.
REM GCC_EXEC_PREFIX is optional, but having it here doesn't hurt.
REM

REM ### Environment
SET MAKE_MODE=UNIX
SET CYGWIN="binmode tty ntsec"

REM ### HOME
SET HOMEDRIVE=%SYSTEMDRIVE%
if "%HOMEDRIVE%" == "" SET HOMEDRIVE=C:
SET CYGroot=%HOMEDRIVE%
if exist %HOMEDRIVE%\cygwin\usr\home set CYGroot=%HOMEDRIVE%\cygwin
SET HOME=%CYGroot%\usr\home\kenzo-

REM ### PATH
SET PATH=%HOMEDRIVE%\cygwin\bin
SET PATH=%HOMEDRIVE%\mingw\bin;%PATH%
SET PATH=%HOMEDRIVE%\Perl\bin;%HOMEDRIVE%\Tcl\bin;%HOMEDRIVE%\jdk\bin;%PATH%
SET PATH=%HOMEDRIVE%\namazu\bin;%HOMEDRIVE%\kakasi\bin;%HOMEDRIVE%\nkf\bin;%HOMEDRIVE%\Chasen;%PATH%

REM ### GCC
set GCC_EXEC_PREFIX=%HOMEDRIVE%\mingw\lib\gcc-lib\
set LIBRARY_PATH=%HOMEDRIVE%\mingw\lib;%CYGroot%\usr\local\lib;%CYGroot%\usr\X11R6\lib
set C_INCLUDE_PATH=%HOMEDRIVE%\mingw\include;%CYGroot%\usr\local\include;%CYGroot%\usr\X11R6\include
set OBJC_INCLUDE_PATH=%HOMEDRIVE%\mingw\include;%CYGroot%\usr\local\include;%CYGroot%\usr\X11R6\include
set CPLUS_INCLUDE_PATH=%C_INCLUDE_PATH%
set LD_LIBRARY_PATH=%LIBRARY_PATH%

REM ### VC
set MSDevDir=%HOMEDRIVE%\PROGRA~1\MICROS~2\Common\msdev98
set MSVCDir=%HOMEDRIVE%\PROGRA~1\MICROS~2\VC98
set INCLUDE=%MSVCDir%\ATL\INCLUDE;%MSVCDir%\INCLUDE;%MSVCDir%\MFC\INCLUDE;%INCLUDE%
set LIB=%MSVCDir%\LIB;%MSVCDir%\MFC\LIB;%LIB%

set VSCommonDir=%HOMEDRIVE%\PROGRA~1\MICROS~2\Common
set VcOsDir=WIN95
if "%OS%" == "Windows_NT" set VcOsDir=WINNT
if "%OS%" == "Windows_NT" set PATH=%MSDevDir%\BIN;%MSVCDir%\BIN;%VSCommonDir%\TOOLS\%VcOsDir%;%VSCommonDir%\TOOLS;%PATH%;%SystemRoot%\system32;%SystemRoot%
if "%OS%" == "" set PATH="%MSDevDir%\BIN";"%MSVCDir%\BIN";"%VSCommonDir%\TOOLS\%VcOsDir%";"%VSCommonDir%\TOOLS";"%PATH%";"%windir%";"%windir%\SYSTEM"
set VcOsDir=
set VSCommonDir=

REM ### SHELL
%COMSPEC%

